FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007281519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007281519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ba8932 OS_GIT_VERSION=4.5.0-202007281519.p0-9ba8932 SOURCE_DATE_EPOCH=1586855657 SOURCE_GIT_COMMIT=9ba89321048c00c1fd710513f5da1a97366b2d18 SOURCE_GIT_TAG=v0.4.0-385-g9ba89321 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20200728.152910
ENV __doozer=update BUILD_RELEASE=202007281519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007281519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ba8932 OS_GIT_VERSION=4.5.0-202007281519.p0-9ba8932 SOURCE_DATE_EPOCH=1586855657 SOURCE_GIT_COMMIT=9ba89321048c00c1fd710513f5da1a97366b2d18 SOURCE_GIT_TAG=v0.4.0-385-g9ba89321 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External attacher for CSI volumes" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.tags="csi,storage,attacher" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        com.redhat.component="csi-attacher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202007281519.p0" \
        io.openshift.build.commit.id="9ba89321048c00c1fd710513f5da1a97366b2d18" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/9ba89321048c00c1fd710513f5da1a97366b2d18" \
        version="v4.5.0"

